Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class JavadocOptionFileWriterContext

    java.lang.Object
      org.gradle.external.javadoc.optionfile.JavadocOptionFileWriterContext

    public class JavadocOptionFileWriterContext

extends Object

Constructor Summary
`JavadocOptionFileWriterContext(BufferedWriter writer)`

Method Summary
`JavadocOptionFileWriterContext` | `newLine()`
`JavadocOptionFileWriterContext` | `write(String string)`
`JavadocOptionFileWriterContext` | `writeMultilineValuesOption(String option, Collection<String> values)`
`JavadocOptionFileWriterContext` | `writeOption(String option)`
`JavadocOptionFileWriterContext` | `writeOptionHeader(String option)`
`JavadocOptionFileWriterContext` | `writePathOption(String option, Collection<File> files, String joinValuesBy)`
`JavadocOptionFileWriterContext` | `writeValue(String value)`
`JavadocOptionFileWriterContext` | `writeValueOption(String option, Collection<String> values)`
`JavadocOptionFileWriterContext` | `writeValueOption(String option, String value)`
`JavadocOptionFileWriterContext` | `writeValuesOption(String option, Collection<String> values, String joinValuesBy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocOptionFileWriterContext

    public JavadocOptionFileWriterContext(BufferedWriter writer)

Method Detail

### write

    public JavadocOptionFileWriterContext write(String string)
                                         throws IOException

  Throws:
    `IOException`

### newLine

    public JavadocOptionFileWriterContext newLine()
                                           throws IOException

  Throws:
    `IOException`

### writeOptionHeader

    public JavadocOptionFileWriterContext writeOptionHeader(String option)
                                                     throws IOException

  Throws:
    `IOException`

### writeOption

    public JavadocOptionFileWriterContext writeOption(String option)
                                               throws IOException

  Throws:
    `IOException`

### writeValueOption

    public JavadocOptionFileWriterContext writeValueOption(String option,
                                                           String value)
                                                    throws IOException

  Throws:
    `IOException`

### writeValue

    public JavadocOptionFileWriterContext writeValue(String value)
                                              throws IOException

  Throws:
    `IOException`

### writeValueOption

    public JavadocOptionFileWriterContext writeValueOption(String option,
                                                           Collection<String> values)
                                                    throws IOException

  Throws:
    `IOException`

### writeValuesOption

    public JavadocOptionFileWriterContext writeValuesOption(String option,
                                                            Collection<String> values,
                                                            String joinValuesBy)
                                                     throws IOException

  Throws:
    `IOException`

### writeMultilineValuesOption

    public JavadocOptionFileWriterContext writeMultilineValuesOption(String option,
                                                                     Collection<String> values)
                                                              throws IOException

  Throws:
    `IOException`

### writePathOption

    public JavadocOptionFileWriterContext writePathOption(String option,
                                                          Collection<File> files,
                                                          String joinValuesBy)
                                                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD